Đến nội dung


Hình ảnh
- - - - -

Chuyen Text Cao Độ Về Cao Độ Thực Trong Z Của Cad


  • Please log in to reply
2 replies to this topic

#1 tientracdia

tientracdia

    biết lệnh scale

  • Members
  • PipPipPip
  • 147 Bài viết
Điểm đánh giá: -11 (hơi kém)

Đã gửi 14 January 2016 - 02:26 PM

mình cần Chuyen text cao độ về cao độ thực trong z của Cad

http://www.cadviet.c...81_drawing1.dwg

rất mong được giúp


  • -2

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 14 January 2016 - 03:16 PM

Mình là một trong những người vote trừ cho bạn. Thời điểm này bạn đã -11 điểm r ^^ Lý do vì sao thì bạn tự đọc lại các bài viết của chính mình sẽ hiểu. Lần đầu và cũng là lần cuối mong bạn nghĩ đến cảm giác người đọc / người muốn giúp bạn

Còn đây là quick code viết nhanh giúp bạn, hi vọng bạn xài được

(defun c:t2elev  (/ s p)
(vl-load-com)
(ssget '((0 . "TEXT")))
(vlax-for e (setq s (vla-get-ActiveSelectionSet (vla-get-ActiveDocument (vlax-get-acad-object))))
	(vla-put-InsertionPoint
		e
		(vlax-3D-point
			(list (car (setq p (vlax-get e 'InsertionPoint)))(cadr p) (distof (vl-string-translate "," "." (vla-get-textstring e))))
		)
	)
)
(if s (vla-delete s))
)

  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 tientracdia

tientracdia

    biết lệnh scale

  • Members
  • PipPipPip
  • 147 Bài viết
Điểm đánh giá: -11 (hơi kém)

Đã gửi 15 January 2016 - 09:18 AM

Xin lỗi nha


  • 0